from PyQt5.QtWidgets import QWidget, QVBoxLayout, QPushButton, QTableWidget
from PyQt5.QtCore import pyqtSignal, Qt

from nixview.util.file_handler import FileHandler


class TableScreen(QWidget):
    close_signal = pyqtSignal()

    def __init__(self, parent=None) -> None:
        super().__init__(parent=parent)
        self._file_handler = FileHandler()

        self.table = QTableWidget()

        close_btn = QPushButton("close")
        close_btn.clicked.connect(self.on_close)
        
        self.setLayout(QVBoxLayout())
        self.layout().addWidget(self.table)
        self.layout().addWidget(close_btn)
        self._data_view = None

        self._software_slide = False
        self.plotter = None

    def on_close(self):
        self.close_signal.emit()

    def show(self, item_descriptor):
        print("Table show")
        pass
